GNU bug report logs - #16068
24.3; Printing doesn't work

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Андрей Парамонов <cmr.pent@HIDDEN>; dated Fri, 6 Dec 2013 08:35:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 16068 <at> debbugs.gnu.org:


Received: (at 16068) by debbugs.gnu.org; 7 Dec 2013 18:18:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 07 13:18:41 2013
Received: from localhost ([127.0.0.1]:36845 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VpMSe-0007f3-N9
	for submit <at> debbugs.gnu.org; Sat, 07 Dec 2013 13:18:41 -0500
Received: from mail-ob0-f178.google.com ([209.85.214.178]:38820)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <cmr.pent@HIDDEN>) id 1VpMSc-0007eu-7z
 for 16068 <at> debbugs.gnu.org; Sat, 07 Dec 2013 13:18:38 -0500
Received: by mail-ob0-f178.google.com with SMTP id uz6so2137951obc.23
 for <16068 <at> debbugs.gnu.org>; Sat, 07 Dec 2013 10:18:37 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=D7Pt6UpoWqepH1K6xT2+B+GlIvLd+LbtYg3Vd/EexzQ=;
 b=pTi/y5hng+NpPtRdhj4D0qJIVf4ZL1+sTvSg5V4u6azY6xt8vyx7uUwPeq6SENV6nz
 kWLphG/4Kyeo5Ldpx8cqOlaAteVBv4lLDTLgcqy/eWF8eyz6UoG08nnwT5UDh8D1Vgnp
 sOOzHPspzp5ZjN1dvPatvCGHAHlf6ysx8tqtM6MepBsXJSmUrdAc3f0OEhopGxZDnvbz
 UWxHMHWrpRguf7oK0tyjOF7npzT82+YktVQDshpLQPxfH7F9asTq4f9F6uxljkD78/uQ
 XHy4PohX/OvMhY73wh7q0Kf6/6L4FAngxYl+BQYu8N0pRSwex9WOvvRouoKL7vL/URw8
 tjkQ==
X-Received: by 10.182.97.67 with SMTP id dy3mr15195obb.84.1386440317512; Sat,
 07 Dec 2013 10:18:37 -0800 (PST)
MIME-Version: 1.0
Received: by 10.76.68.36 with HTTP; Sat, 7 Dec 2013 10:17:57 -0800 (PST)
In-Reply-To: <83wqjgzubo.fsf@HIDDEN>
References: <CAC4Co6MnjrRpMutzwhDB0COtdbHGWR3ji=og2BDGc9=2KDu=Wg@HIDDEN>
 <83siu61hye.fsf@HIDDEN>
 <CAC4Co6MpsKtxnF3iiDKKMCdo=4cJT2Rw_aiFWBadzSSC8+d43g@HIDDEN>
 <83r49q1exg.fsf@HIDDEN>
 <CAC4Co6MZdthN2gwy14P8ckH1Q8-4XXin7k81zaKxBGSW8LFXZw@HIDDEN>
 <83pppa1b12.fsf@HIDDEN>
 <CAC4Co6PqDqLAZs71MMuWVHG01r7aoEcX14X7j=-2fWFbc2dE9Q@HIDDEN>
 <83iov2115s.fsf@HIDDEN>
 <CAC4Co6O1EnEn6dv3AppxadCUG-_2WeRHiV2VUsoPG30YhF5t9Q@HIDDEN>
 <83wqjgzubo.fsf@HIDDEN>
From: =?UTF-8?B?0JDQvdC00YDQtdC5INCf0LDRgNCw0LzQvtC90L7Qsg==?=
 <cmr.pent@HIDDEN>
Date: Sat, 7 Dec 2013 22:17:57 +0400
Message-ID: <CAC4Co6OHpVNtwPVafkE0bHDX7iAwOmG1oj4hATRKcRr3sr+Uzw@HIDDEN>
Subject: Re: bug#16068: 24.3; Printing doesn't work
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=047d7b2e4c02a0b17004ecf5caf6
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 16068
Cc: 16068 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--047d7b2e4c02a0b17004ecf5caf6
Content-Type: text/plain; charset=UTF-8

2013/12/7 Eli Zaretskii <eliz@HIDDEN>

> It would be interesting to see what does "net share" print on the
> machine which exports the printer.
>

It does list AFICIO2018D, that's where I got it from :-)
However there appears to be alternative nonorthodox configuration method
without share name. And our IT man did use it on my system.

Best wishes,
Andrey Paramonov

--047d7b2e4c02a0b17004ecf5caf6
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_extra"><div class=3D"gmail_quote">2013=
/12/7 Eli Zaretskii <span dir=3D"ltr">&lt;<a href=3D"mailto:eliz@HIDDEN" t=
arget=3D"_blank">eliz@HIDDEN</a>&gt;</span><br><blockquote class=3D"gmail_=
quote" style=3D"margin:0px 0px 0px 0.8ex;border-left-width:1px;border-left-=
color:rgb(204,204,204);border-left-style:solid;padding-left:1ex">

It would be interesting to see what does &quot;net share&quot; print on the=
<br>
machine which exports the printer.<br></blockquote><div>=C2=A0</div></div>I=
t does list=C2=A0<span style=3D"font-size:12.727272033691406px;font-family:=
arial,sans-serif">AFICIO2018D, that&#39;s where I got it from :-)</span><br=
></div>

<div class=3D"gmail_extra"><span style=3D"font-size:12.727272033691406px;fo=
nt-family:arial,sans-serif">However there appears to be alternative nonorth=
odox configuration method without share name. And our IT man did use it on =
my system.</span></div>

<div class=3D"gmail_extra"><span style=3D"font-size:12.727272033691406px;fo=
nt-family:arial,sans-serif"><br></span></div><div class=3D"gmail_extra"><sp=
an style=3D"font-size:12.727272033691406px;font-family:arial,sans-serif">Be=
st wishes,</span></div>

<div class=3D"gmail_extra"><span style=3D"font-size:12.727272033691406px;fo=
nt-family:arial,sans-serif">Andrey Paramonov</span></div><div><span style=
=3D"font-size:12.727272033691406px;font-family:arial,sans-serif"><br></span=
></div>

</div>

--047d7b2e4c02a0b17004ecf5caf6--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16068; Package emacs. Full text available.

Message received at 16068 <at> debbugs.gnu.org:


Received: (at 16068) by debbugs.gnu.org; 7 Dec 2013 13:04:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 07 08:04:09 2013
Received: from localhost ([127.0.0.1]:35814 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VpHYG-0008Ce-LT
	for submit <at> debbugs.gnu.org; Sat, 07 Dec 2013 08:04:09 -0500
Received: from mtaout21.012.net.il ([80.179.55.169]:59931)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1VpHYD-0008CU-6U
 for 16068 <at> debbugs.gnu.org; Sat, 07 Dec 2013 08:04:06 -0500
Received: from conversion-daemon.a-mtaout21.012.net.il by
 a-mtaout21.012.net.il (HyperSendmail v2007.08) id
 <0MXF00400TMH2Z00@HIDDEN> for 16068 <at> debbugs.gnu.org;
 Sat, 07 Dec 2013 15:04:03 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MXF003ENTMRV4A0@HIDDEN>;
 Sat, 07 Dec 2013 15:04:03 +0200 (IST)
Date: Sat, 07 Dec 2013 15:03:55 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16068: 24.3; Printing doesn't work
In-reply-to: <CAC4Co6O1EnEn6dv3AppxadCUG-_2WeRHiV2VUsoPG30YhF5t9Q@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: =?utf-8?B?0JDQvdC00YDQtdC5INCf0LDRgNCw0LzQvtC90L7Qsg==?=
 <cmr.pent@HIDDEN>
Message-id: <83wqjgzubo.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8BIT
References: <CAC4Co6MnjrRpMutzwhDB0COtdbHGWR3ji=og2BDGc9=2KDu=Wg@HIDDEN>
 <83siu61hye.fsf@HIDDEN>
 <CAC4Co6MpsKtxnF3iiDKKMCdo=4cJT2Rw_aiFWBadzSSC8+d43g@HIDDEN>
 <83r49q1exg.fsf@HIDDEN>
 <CAC4Co6MZdthN2gwy14P8ckH1Q8-4XXin7k81zaKxBGSW8LFXZw@HIDDEN>
 <83pppa1b12.fsf@HIDDEN>
 <CAC4Co6PqDqLAZs71MMuWVHG01r7aoEcX14X7j=-2fWFbc2dE9Q@HIDDEN>
 <83iov2115s.fsf@HIDDEN>
 <CAC4Co6O1EnEn6dv3AppxadCUG-_2WeRHiV2VUsoPG30YhF5t9Q@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16068
Cc: 16068 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Андрей Парамонов <cmr.pent@HIDDEN>
> Date: Sat, 7 Dec 2013 16:40:24 +0400
> Cc: 16068 <at> debbugs.gnu.org
> 
> I got the following output:
> 
> (gdb) print *ppi2
> $1 = {pServerName = 0x0, pPrinterName = 0x38a0136
> <__register_frame_info+59375926> "RICOH Aficio 2018D PCL 6",
>   pShareName = 0x38a0134 <__register_frame_info+59375924> "", pPortName =
> 0x38a0118 <__register_frame_info+59375896> "82.97.201.165",
>   pDriverName = 0x38a00e6 <__register_frame_info+59375846> "RICOH Aficio
> 2018D PCL 6", pComment = 0x38a00e4 <__register_frame_info+59375844> "",
>   pLocation = 0x38a00e2 <__register_frame_info+59375842> "", pDevMode =
> 0x389f1c0 <__register_frame_info+59371968>,
>   pSepFile = 0x38a00e0 <__register_frame_info+59375840> "", pPrintProcessor
> = 0x38a00ce <__register_frame_info+59375822> "winprint",
>   pDatatype = 0x38a00c6 <__register_frame_info+59375814> "RAW", pParameters
> = 0x38a00c4 <__register_frame_info+59375812> "",
>   pSecurityDescriptor = 0x389f088 <__register_frame_info+59371656>,
> Attributes = 576, Priority = 1, DefaultPriority = 0, StartTime = 0,
>   UntilTime = 0, Status = 0, cJobs = 0, AveragePPM = 0}
> 
> I see that pServerName, pShareName are not set, which confuses
> Fdefault_printer_name big time (e.g. it thinks the printer is local).

Yes, that's true.  But even if pServerName were non-NULL, it would not
have helped, since pShareName is empty.  The "AFICIO2018D" that you
needed to add to get printing correctly configured is nowhere to be
seen.

It would be interesting to see what does "net share" print on the
machine which exports the printer.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16068; Package emacs. Full text available.

Message received at 16068 <at> debbugs.gnu.org:


Received: (at 16068) by debbugs.gnu.org; 7 Dec 2013 12:41:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 07 07:41:10 2013
Received: from localhost ([127.0.0.1]:35779 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VpHC0-0007bw-2H
	for submit <at> debbugs.gnu.org; Sat, 07 Dec 2013 07:41:09 -0500
Received: from mail-oa0-f41.google.com ([209.85.219.41]:35937)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <cmr.pent@HIDDEN>) id 1VpHBx-0007bl-82
 for 16068 <at> debbugs.gnu.org; Sat, 07 Dec 2013 07:41:06 -0500
Received: by mail-oa0-f41.google.com with SMTP id j17so2040142oag.28
 for <16068 <at> debbugs.gnu.org>; Sat, 07 Dec 2013 04:41:04 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=JR6MqYruxrJYXZMRgjDseIzPcNVYl6bJF+FCloe2Thg=;
 b=z6xYHKFn7+yC4eu0fCfpteoWRdDx803gmQmprUk4mJ+AWEGqCP+tG/maOFZWX33E17
 kvzVjh5Kqvyifvai26Vu/4d2J3KoLWxg1hdDDMcLbGA0w9SgPuvZuYs+O/LlVIntajLE
 20bQXA9VH4zUE/kZxLrQW9mcjSAJWSZCwUV49i3a12reWifxuQooZ2fYlq4ZFscVesPo
 6Xm27YcKeFiOc5ER99lY3jBJ6FupWFoB7wznHfZ3uW+uaabtLdGRw3vseA31uE0hV0c4
 Al1OzzhuZjvVF7u/q576NwlXB+sOfThPPd0dZSM00nS074J8Z4B1Fd3bU3WYIGXRO5g2
 yPWg==
X-Received: by 10.182.97.67 with SMTP id dy3mr7097obb.84.1386420064136; Sat,
 07 Dec 2013 04:41:04 -0800 (PST)
MIME-Version: 1.0
Received: by 10.76.68.36 with HTTP; Sat, 7 Dec 2013 04:40:24 -0800 (PST)
In-Reply-To: <83iov2115s.fsf@HIDDEN>
References: <CAC4Co6MnjrRpMutzwhDB0COtdbHGWR3ji=og2BDGc9=2KDu=Wg@HIDDEN>
 <83siu61hye.fsf@HIDDEN>
 <CAC4Co6MpsKtxnF3iiDKKMCdo=4cJT2Rw_aiFWBadzSSC8+d43g@HIDDEN>
 <83r49q1exg.fsf@HIDDEN>
 <CAC4Co6MZdthN2gwy14P8ckH1Q8-4XXin7k81zaKxBGSW8LFXZw@HIDDEN>
 <83pppa1b12.fsf@HIDDEN>
 <CAC4Co6PqDqLAZs71MMuWVHG01r7aoEcX14X7j=-2fWFbc2dE9Q@HIDDEN>
 <83iov2115s.fsf@HIDDEN>
From: =?UTF-8?B?0JDQvdC00YDQtdC5INCf0LDRgNCw0LzQvtC90L7Qsg==?=
 <cmr.pent@HIDDEN>
Date: Sat, 7 Dec 2013 16:40:24 +0400
Message-ID: <CAC4Co6O1EnEn6dv3AppxadCUG-_2WeRHiV2VUsoPG30YhF5t9Q@HIDDEN>
Subject: Re: bug#16068: 24.3; Printing doesn't work
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=047d7b2e4c026eb6af04ecf11355
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 16068
Cc: 16068 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--047d7b2e4c026eb6af04ecf11355
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

Thank you very much for very clear and detailed instructions, Eli!
I got the following output:

(gdb) print *ppi2
$1 =3D {pServerName =3D 0x0, pPrinterName =3D 0x38a0136
<__register_frame_info+59375926> "RICOH Aficio 2018D PCL 6",
  pShareName =3D 0x38a0134 <__register_frame_info+59375924> "", pPortName =
=3D
0x38a0118 <__register_frame_info+59375896> "82.97.201.165",
  pDriverName =3D 0x38a00e6 <__register_frame_info+59375846> "RICOH Aficio
2018D PCL 6", pComment =3D 0x38a00e4 <__register_frame_info+59375844> "",
  pLocation =3D 0x38a00e2 <__register_frame_info+59375842> "", pDevMode =3D
0x389f1c0 <__register_frame_info+59371968>,
  pSepFile =3D 0x38a00e0 <__register_frame_info+59375840> "", pPrintProcess=
or
=3D 0x38a00ce <__register_frame_info+59375822> "winprint",
  pDatatype =3D 0x38a00c6 <__register_frame_info+59375814> "RAW", pParamete=
rs
=3D 0x38a00c4 <__register_frame_info+59375812> "",
  pSecurityDescriptor =3D 0x389f088 <__register_frame_info+59371656>,
Attributes =3D 576, Priority =3D 1, DefaultPriority =3D 0, StartTime =3D 0,
  UntilTime =3D 0, Status =3D 0, cJobs =3D 0, AveragePPM =3D 0}

I see that pServerName, pShareName are not set, which confuses
Fdefault_printer_name big time (e.g. it thinks the printer is local).
It seems that in my case the problem lies is a very exotic way of
configuration. I'll try to setup printer in the orthodox way when I'm in
the office next time. Current configuration was done by IT guy; I'm not
sure why he decided to use numeric IP addess and port instead of simple
share name.

Thank you for your support,
Andrey Paramonov


2013/12/6 Eli Zaretskii <eliz@HIDDEN>

> > From: =D0=90=D0=BD=D0=B4=D1=80=D0=B5=D0=B9 =D0=9F=D0=B0=D1=80=D0=B0=D0=
=BC=D0=BE=D0=BD=D0=BE=D0=B2 <cmr.pent@HIDDEN>
> > Date: Fri, 6 Dec 2013 16:00:34 +0400
> > Cc: 16068 <at> debbugs.gnu.org
> >
> > > Is it possible for you to step through default-printer-name with GDB
> > > and see what happens there?  I can send you detailed instructions, if
> > > you need them.
> > >
> >
> > Please do.
>
> See below, and thanks in advance.
>
> > Is it correct that default-printer-name is implemented in C (which is
> why I
> > need GDB)?
>
> Yes, this is correct.
>
> I see that you are using Emacs 24.3, which is an official release.  I
> suspect that this binary has been stripped of debugging symbols, so
> you will be unable to debug it on the C source level.  So the first
> thing I suggest to do after installing GDB (let me know if you need a
> link for a Windows port of GDB) is type this from the shell prompt:
>
>   gdb /path/to/emacs.exe
>
> If GDB says something like this:
>
>  Reading symbols from D:\foo\bar\emacs.exe...(no debugging symbols
> found)...done.
>                                               ^^^^^^^^^^^^^^^^^^^^^^^^^^
> then indeed the binary is stripped.  In that case, please download a
> recent snapshot from here:
>
>   https://sourceforge.net/projects/emacs-bin/files/snapshots/
>
> and start by verifying that the same problem still exists there.  (It
> could be that it was somehow fixed since 24.3 was released, although I
> doubt that.)
>
> Once you establish that the problem still exists in the snapshot,
> here's the sequence of commands I'd like you to perform:
>
>   gdb /path/to/emacs.exe
>
> After GDB starts and displays its startup blurb, do this:
>
>   (gdb) break Fdefault_printer_name
>   (gdb) run -Q
>
> The last command runs Emacs.  When Emacs starts up, it will show the
> *scratch* buffer.  Type into that buffer:
>
>   (default-printer-name)
>
> Then go to the right parenthesis and type C-j.  This evaluates the
> expression.  (Please forgive me if I'm telling you things you know
> very well.)
>
> When you evaluate that expression, the breakpoint you have set will
> break, Emacs will stop, and GDB will take control.  Switch to the
> window where you run GDB, you should see there something like this:
>
>   Breakpoint 1, Fdefault_printer_name () at w32fns.c:7217
>   7217      PRINTER_INFO_2 *ppi2 =3D NULL;
>   (gdb)
>
> (Since you don't have the sources, you will probably not see the
> second line.)
>
> If you want to see the source code of default-printer-name, you can
> find it here:
>
>   http://bzr.savannah.gnu.org/lh/emacs/trunk/annotate/head:/src/w32fns.c
>
> (The function's source starts around line 7210 in that file.)
>
> We want to get to line #7252, which is marked in the snippet below:
>
>   err =3D GetPrinter (hPrn, 2, (LPBYTE)ppi2, dwNeeded, &dwReturned);
>   ClosePrinter (hPrn);
>   if (!err)
>     {
>       xfree (ppi2);
>       return Qnil;
>     }
>
>   if (ppi2)  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<
>     {
>       if (ppi2->Attributes & PRINTER_ATTRIBUTE_SHARED && ppi2->pServerNam=
e)
>         {
>
> The GDB command to do that is:
>
>   (gdb) until 7252
>
> (The "(gdb)" part is GDB's prompt, you don't need to type it.)
>
> GDB will step Emacs till that line, and respond like this:
>
>   Fdefault_printer_name () at w32fns.c:7252
>   7252      if (ppi2)
>   (gdb)
>
> Now please tell GDB to display the contents of the ppi2 structure,
> which holds the printer information Windows returned due to the call
> to GetPrinter API:
>
>   (gdb) print *ppi2
>
> And post here everything you see.
>
> If you will do this in Emacs 24.3 (in case it does have the debugging
> symbols), then please use "until 6943" instead of 7252 above, because
> the source line numbers of the snippet I show above are different in
> that version.
>
> Thanks again for your help.
>

--047d7b2e4c026eb6af04ecf11355
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Thank you very much for very clear and detailed instructio=
ns, Eli!<div>I got the following output:</div><div><br></div><div><div>(gdb=
) print *ppi2</div><div>$1 =3D {pServerName =3D 0x0, pPrinterName =3D 0x38a=
0136 &lt;__register_frame_info+59375926&gt; &quot;RICOH Aficio 2018D PCL 6&=
quot;,</div>

<div>=C2=A0 pShareName =3D 0x38a0134 &lt;__register_frame_info+59375924&gt;=
 &quot;&quot;, pPortName =3D 0x38a0118 &lt;__register_frame_info+59375896&g=
t; &quot;82.97.201.165&quot;,</div><div>=C2=A0 pDriverName =3D 0x38a00e6 &l=
t;__register_frame_info+59375846&gt; &quot;RICOH Aficio 2018D PCL 6&quot;, =
pComment =3D 0x38a00e4 &lt;__register_frame_info+59375844&gt; &quot;&quot;,=
</div>

<div>=C2=A0 pLocation =3D 0x38a00e2 &lt;__register_frame_info+59375842&gt; =
&quot;&quot;, pDevMode =3D 0x389f1c0 &lt;__register_frame_info+59371968&gt;=
,</div><div>=C2=A0 pSepFile =3D 0x38a00e0 &lt;__register_frame_info+5937584=
0&gt; &quot;&quot;, pPrintProcessor =3D 0x38a00ce &lt;__register_frame_info=
+59375822&gt; &quot;winprint&quot;,</div>

<div>=C2=A0 pDatatype =3D 0x38a00c6 &lt;__register_frame_info+59375814&gt; =
&quot;RAW&quot;, pParameters =3D 0x38a00c4 &lt;__register_frame_info+593758=
12&gt; &quot;&quot;,</div><div>=C2=A0 pSecurityDescriptor =3D 0x389f088 &lt=
;__register_frame_info+59371656&gt;, Attributes =3D 576, Priority =3D 1, De=
faultPriority =3D 0, StartTime =3D 0,</div>

<div>=C2=A0 UntilTime =3D 0, Status =3D 0, cJobs =3D 0, AveragePPM =3D 0}</=
div></div><div><br></div><div>I see that pServerName, pShareName are not se=
t, which confuses Fdefault_printer_name big time (e.g. it thinks the printe=
r is local).</div>

<div>It seems that in my case the problem lies is a very exotic way of conf=
iguration. I&#39;ll try to setup printer in the orthodox way when I&#39;m i=
n the office next time. Current configuration was done by IT guy; I&#39;m n=
ot sure why he decided to use numeric IP addess and port instead of simple =
share name.</div>

<div><br></div><div>Thank you for your support,</div><div>Andrey Paramonov<=
/div></div><div class=3D"gmail_extra"><br><br><div class=3D"gmail_quote">20=
13/12/6 Eli Zaretskii <span dir=3D"ltr">&lt;<a href=3D"mailto:eliz@HIDDEN"=
 target=3D"_blank">eliz@HIDDEN</a>&gt;</span><br>

<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex">&gt; From: =D0=90=D0=BD=D0=B4=D1=80=D0=B5=D0=
=B9 =D0=9F=D0=B0=D1=80=D0=B0=D0=BC=D0=BE=D0=BD=D0=BE=D0=B2 &lt;<a href=3D"m=
ailto:cmr.pent@HIDDEN">cmr.pent@HIDDEN</a>&gt;<br>
&gt; Date: Fri, 6 Dec 2013 16:00:34 +0400<br>
&gt; Cc: <a href=3D"mailto:16068 <at> debbugs.gnu.org">16068 <at> debbugs.gnu.org</a>=
<br>
<div class=3D"im">&gt;<br>
&gt; &gt; Is it possible for you to step through default-printer-name with =
GDB<br>
&gt; &gt; and see what happens there? =C2=A0I can send you detailed instruc=
tions, if<br>
&gt; &gt; you need them.<br>
&gt; &gt;<br>
&gt;<br>
&gt; Please do.<br>
<br>
</div>See below, and thanks in advance.<br>
<div class=3D"im"><br>
&gt; Is it correct that default-printer-name is implemented in C (which is =
why I<br>
&gt; need GDB)?<br>
<br>
</div>Yes, this is correct.<br>
<br>
I see that you are using Emacs 24.3, which is an official release. =C2=A0I<=
br>
suspect that this binary has been stripped of debugging symbols, so<br>
you will be unable to debug it on the C source level. =C2=A0So the first<br=
>
thing I suggest to do after installing GDB (let me know if you need a<br>
link for a Windows port of GDB) is type this from the shell prompt:<br>
<br>
=C2=A0 gdb /path/to/emacs.exe<br>
<br>
If GDB says something like this:<br>
<br>
=C2=A0Reading symbols from D:\foo\bar\emacs.exe...(no debugging symbols fou=
nd)...done.<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 ^^^^^^^^^^^^^^^^^^^^^^^^^^<br>
then indeed the binary is stripped. =C2=A0In that case, please download a<b=
r>
recent snapshot from here:<br>
<br>
=C2=A0 <a href=3D"https://sourceforge.net/projects/emacs-bin/files/snapshot=
s/" target=3D"_blank">https://sourceforge.net/projects/emacs-bin/files/snap=
shots/</a><br>
<br>
and start by verifying that the same problem still exists there. =C2=A0(It<=
br>
could be that it was somehow fixed since 24.3 was released, although I<br>
doubt that.)<br>
<br>
Once you establish that the problem still exists in the snapshot,<br>
here&#39;s the sequence of commands I&#39;d like you to perform:<br>
<br>
=C2=A0 gdb /path/to/emacs.exe<br>
<br>
After GDB starts and displays its startup blurb, do this:<br>
<br>
=C2=A0 (gdb) break Fdefault_printer_name<br>
=C2=A0 (gdb) run -Q<br>
<br>
The last command runs Emacs. =C2=A0When Emacs starts up, it will show the<b=
r>
*scratch* buffer. =C2=A0Type into that buffer:<br>
<br>
=C2=A0 (default-printer-name)<br>
<br>
Then go to the right parenthesis and type C-j. =C2=A0This evaluates the<br>
expression. =C2=A0(Please forgive me if I&#39;m telling you things you know=
<br>
very well.)<br>
<br>
When you evaluate that expression, the breakpoint you have set will<br>
break, Emacs will stop, and GDB will take control. =C2=A0Switch to the<br>
window where you run GDB, you should see there something like this:<br>
<br>
=C2=A0 Breakpoint 1, Fdefault_printer_name () at w32fns.c:7217<br>
=C2=A0 7217 =C2=A0 =C2=A0 =C2=A0PRINTER_INFO_2 *ppi2 =3D NULL;<br>
=C2=A0 (gdb)<br>
<br>
(Since you don&#39;t have the sources, you will probably not see the<br>
second line.)<br>
<br>
If you want to see the source code of default-printer-name, you can<br>
find it here:<br>
<br>
=C2=A0 <a href=3D"http://bzr.savannah.gnu.org/lh/emacs/trunk/annotate/head:=
/src/w32fns.c" target=3D"_blank">http://bzr.savannah.gnu.org/lh/emacs/trunk=
/annotate/head:/src/w32fns.c</a><br>
<br>
(The function&#39;s source starts around line 7210 in that file.)<br>
<br>
We want to get to line #7252, which is marked in the snippet below:<br>
<br>
=C2=A0 err =3D GetPrinter (hPrn, 2, (LPBYTE)ppi2, dwNeeded, &amp;dwReturned=
);<br>
=C2=A0 ClosePrinter (hPrn);<br>
=C2=A0 if (!err)<br>
=C2=A0 =C2=A0 {<br>
=C2=A0 =C2=A0 =C2=A0 xfree (ppi2);<br>
=C2=A0 =C2=A0 =C2=A0 return Qnil;<br>
=C2=A0 =C2=A0 }<br>
<br>
=C2=A0 if (ppi2) =C2=A0&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;=
&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;<br>
=C2=A0 =C2=A0 {<br>
=C2=A0 =C2=A0 =C2=A0 if (ppi2-&gt;Attributes &amp; PRINTER_ATTRIBUTE_SHARED=
 &amp;&amp; ppi2-&gt;pServerName)<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 {<br>
<br>
The GDB command to do that is:<br>
<br>
=C2=A0 (gdb) until 7252<br>
<br>
(The &quot;(gdb)&quot; part is GDB&#39;s prompt, you don&#39;t need to type=
 it.)<br>
<br>
GDB will step Emacs till that line, and respond like this:<br>
<br>
=C2=A0 Fdefault_printer_name () at w32fns.c:7252<br>
=C2=A0 7252 =C2=A0 =C2=A0 =C2=A0if (ppi2)<br>
=C2=A0 (gdb)<br>
<br>
Now please tell GDB to display the contents of the ppi2 structure,<br>
which holds the printer information Windows returned due to the call<br>
to GetPrinter API:<br>
<br>
=C2=A0 (gdb) print *ppi2<br>
<br>
And post here everything you see.<br>
<br>
If you will do this in Emacs 24.3 (in case it does have the debugging<br>
symbols), then please use &quot;until 6943&quot; instead of 7252 above, bec=
ause<br>
the source line numbers of the snippet I show above are different in<br>
that version.<br>
<br>
Thanks again for your help.<br>
</blockquote></div><br></div>

--047d7b2e4c026eb6af04ecf11355--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16068; Package emacs. Full text available.

Message received at 16068 <at> debbugs.gnu.org:


Received: (at 16068) by debbugs.gnu.org; 6 Dec 2013 14:53:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 06 09:53:39 2013
Received: from localhost ([127.0.0.1]:33528 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vowmg-0004mK-78
	for submit <at> debbugs.gnu.org; Fri, 06 Dec 2013 09:53:39 -0500
Received: from mtaout22.012.net.il ([80.179.55.172]:50526)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Vowmc-0004m9-Uq
 for 16068 <at> debbugs.gnu.org; Fri, 06 Dec 2013 09:53:36 -0500
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0MXE00I003DT8X00@HIDDEN> for 16068 <at> debbugs.gnu.org;
 Fri, 06 Dec 2013 16:53:33 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MXE00H0L415X1A0@HIDDEN>;
 Fri, 06 Dec 2013 16:53:29 +0200 (IST)
Date: Fri, 06 Dec 2013 16:53:19 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16068: 24.3; Printing doesn't work
In-reply-to: <CAC4Co6PqDqLAZs71MMuWVHG01r7aoEcX14X7j=-2fWFbc2dE9Q@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: =?utf-8?B?0JDQvdC00YDQtdC5INCf0LDRgNCw0LzQvtC90L7Qsg==?=
 <cmr.pent@HIDDEN>
Message-id: <83iov2115s.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8BIT
References: <CAC4Co6MnjrRpMutzwhDB0COtdbHGWR3ji=og2BDGc9=2KDu=Wg@HIDDEN>
 <83siu61hye.fsf@HIDDEN>
 <CAC4Co6MpsKtxnF3iiDKKMCdo=4cJT2Rw_aiFWBadzSSC8+d43g@HIDDEN>
 <83r49q1exg.fsf@HIDDEN>
 <CAC4Co6MZdthN2gwy14P8ckH1Q8-4XXin7k81zaKxBGSW8LFXZw@HIDDEN>
 <83pppa1b12.fsf@HIDDEN>
 <CAC4Co6PqDqLAZs71MMuWVHG01r7aoEcX14X7j=-2fWFbc2dE9Q@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16068
Cc: 16068 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Андрей Парамонов <cmr.pent@HIDDEN>
> Date: Fri, 6 Dec 2013 16:00:34 +0400
> Cc: 16068 <at> debbugs.gnu.org
> 
> > Is it possible for you to step through default-printer-name with GDB
> > and see what happens there?  I can send you detailed instructions, if
> > you need them.
> >
> 
> Please do.

See below, and thanks in advance.

> Is it correct that default-printer-name is implemented in C (which is why I
> need GDB)?

Yes, this is correct.

I see that you are using Emacs 24.3, which is an official release.  I
suspect that this binary has been stripped of debugging symbols, so
you will be unable to debug it on the C source level.  So the first
thing I suggest to do after installing GDB (let me know if you need a
link for a Windows port of GDB) is type this from the shell prompt:

  gdb /path/to/emacs.exe

If GDB says something like this:

 Reading symbols from D:\foo\bar\emacs.exe...(no debugging symbols found)...done.
                                              ^^^^^^^^^^^^^^^^^^^^^^^^^^
then indeed the binary is stripped.  In that case, please download a
recent snapshot from here:

  https://sourceforge.net/projects/emacs-bin/files/snapshots/

and start by verifying that the same problem still exists there.  (It
could be that it was somehow fixed since 24.3 was released, although I
doubt that.)

Once you establish that the problem still exists in the snapshot,
here's the sequence of commands I'd like you to perform:

  gdb /path/to/emacs.exe

After GDB starts and displays its startup blurb, do this:

  (gdb) break Fdefault_printer_name
  (gdb) run -Q

The last command runs Emacs.  When Emacs starts up, it will show the
*scratch* buffer.  Type into that buffer:

  (default-printer-name)

Then go to the right parenthesis and type C-j.  This evaluates the
expression.  (Please forgive me if I'm telling you things you know
very well.)

When you evaluate that expression, the breakpoint you have set will
break, Emacs will stop, and GDB will take control.  Switch to the
window where you run GDB, you should see there something like this:

  Breakpoint 1, Fdefault_printer_name () at w32fns.c:7217
  7217      PRINTER_INFO_2 *ppi2 = NULL;
  (gdb)

(Since you don't have the sources, you will probably not see the
second line.)

If you want to see the source code of default-printer-name, you can
find it here:

  http://bzr.savannah.gnu.org/lh/emacs/trunk/annotate/head:/src/w32fns.c

(The function's source starts around line 7210 in that file.)

We want to get to line #7252, which is marked in the snippet below:

  err = GetPrinter (hPrn, 2, (LPBYTE)ppi2, dwNeeded, &dwReturned);
  ClosePrinter (hPrn);
  if (!err)
    {
      xfree (ppi2);
      return Qnil;
    }

  if (ppi2)  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<
    {
      if (ppi2->Attributes & PRINTER_ATTRIBUTE_SHARED && ppi2->pServerName)
        {

The GDB command to do that is:

  (gdb) until 7252

(The "(gdb)" part is GDB's prompt, you don't need to type it.)

GDB will step Emacs till that line, and respond like this:

  Fdefault_printer_name () at w32fns.c:7252
  7252      if (ppi2)
  (gdb)

Now please tell GDB to display the contents of the ppi2 structure,
which holds the printer information Windows returned due to the call
to GetPrinter API:

  (gdb) print *ppi2

And post here everything you see.

If you will do this in Emacs 24.3 (in case it does have the debugging
symbols), then please use "until 6943" instead of 7252 above, because
the source line numbers of the snippet I show above are different in
that version.

Thanks again for your help.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16068; Package emacs. Full text available.

Message received at 16068 <at> debbugs.gnu.org:


Received: (at 16068) by debbugs.gnu.org; 6 Dec 2013 12:01:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 06 07:01:20 2013
Received: from localhost ([127.0.0.1]:33281 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vou5v-0006iq-RV
	for submit <at> debbugs.gnu.org; Fri, 06 Dec 2013 07:01:20 -0500
Received: from mail-oa0-f49.google.com ([209.85.219.49]:61052)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <cmr.pent@HIDDEN>) id 1Vou5r-0006ie-MC
 for 16068 <at> debbugs.gnu.org; Fri, 06 Dec 2013 07:01:16 -0500
Received: by mail-oa0-f49.google.com with SMTP id i4so640900oah.8
 for <16068 <at> debbugs.gnu.org>; Fri, 06 Dec 2013 04:01:14 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=VHs0wZJQjmvxR/VjWnbHvDpMp9N5gnzNf96kNuwCDMo=;
 b=FkrxqCcBpGH7qOr2xv+n/Fup7f5+gyrQ4lwa7GPA0pS4TeiOZIwuYelQ1tMUkH1oSP
 PWSRnhmCZxCQ118akjDzVLsJcUnaTVEzjvn/YgRkUB65c2s7rnaJQxWvrHeiDZ90nBKh
 VaepuWJywm67E5f6LWol9TUUqT7svo3q9qxGCR6maLtQXPbVnEyA+da3L6Gby1GaeObj
 TdS5VWNTNDChyzOADiiKN/kGjKbIm5dXXoN24w2B27N3wxRC1clHomkhqQj40X7Ncqlc
 xIIBiSLAbxGPgqCIlFn78yumGN94tnjBwXbojxuikHL11eygMOpxQzIaELLPmgnUv9PJ
 yzDg==
X-Received: by 10.182.49.166 with SMTP id v6mr2231076obn.13.1386331274779;
 Fri, 06 Dec 2013 04:01:14 -0800 (PST)
MIME-Version: 1.0
Received: by 10.76.25.105 with HTTP; Fri, 6 Dec 2013 04:00:34 -0800 (PST)
In-Reply-To: <83pppa1b12.fsf@HIDDEN>
References: <CAC4Co6MnjrRpMutzwhDB0COtdbHGWR3ji=og2BDGc9=2KDu=Wg@HIDDEN>
 <83siu61hye.fsf@HIDDEN>
 <CAC4Co6MpsKtxnF3iiDKKMCdo=4cJT2Rw_aiFWBadzSSC8+d43g@HIDDEN>
 <83r49q1exg.fsf@HIDDEN>
 <CAC4Co6MZdthN2gwy14P8ckH1Q8-4XXin7k81zaKxBGSW8LFXZw@HIDDEN>
 <83pppa1b12.fsf@HIDDEN>
From: =?UTF-8?B?0JDQvdC00YDQtdC5INCf0LDRgNCw0LzQvtC90L7Qsg==?=
 <cmr.pent@HIDDEN>
Date: Fri, 6 Dec 2013 16:00:34 +0400
Message-ID: <CAC4Co6PqDqLAZs71MMuWVHG01r7aoEcX14X7j=-2fWFbc2dE9Q@HIDDEN>
Subject: Re: bug#16068: 24.3; Printing doesn't work
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=047d7b5d2ea42ca37304ecdc672c
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 16068
Cc: 16068 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--047d7b5d2ea42ca37304ecdc672c
Content-Type: text/plain; charset=UTF-8

2013/12/6 Eli Zaretskii <eliz@HIDDEN>

> Is it possible for you to step through default-printer-name with GDB
> and see what happens there?  I can send you detailed instructions, if
> you need them.
>

Please do.
Is it correct that default-printer-name is implemented in C (which is why I
need GDB)?

Best wishes,
Andrey Paramonov

--047d7b5d2ea42ca37304ecdc672c
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>2013/12/6 Eli Zaretskii <span dir=3D"ltr">&lt;<a href=
=3D"mailto:eliz@HIDDEN" target=3D"_blank">eliz@HIDDEN</a>&gt;</span><br><=
/div><div class=3D"gmail_extra"><div class=3D"gmail_quote"><blockquote clas=
s=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left-width:1px;b=
order-left-color:rgb(204,204,204);border-left-style:solid;padding-left:1ex"=
>

Is it possible for you to step through default-printer-name with GDB<br>
and see what happens there? =C2=A0I can send you detailed instructions, if<=
br>
you need them.<br></blockquote><div><br></div><div>Please do.<br></div><div=
>Is it correct that default-printer-name is implemented in C (which is why =
I need GDB)?</div><div><br></div><div>Best wishes,</div><div>Andrey Paramon=
ov</div>

<div><br></div></div></div></div>

--047d7b5d2ea42ca37304ecdc672c--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16068; Package emacs. Full text available.

Message received at 16068 <at> debbugs.gnu.org:


Received: (at 16068) by debbugs.gnu.org; 6 Dec 2013 11:20:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 06 06:20:27 2013
Received: from localhost ([127.0.0.1]:33220 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VotSM-0005bz-5M
	for submit <at> debbugs.gnu.org; Fri, 06 Dec 2013 06:20:26 -0500
Received: from mtaout20.012.net.il ([80.179.55.166]:44423)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1VotSH-0005bo-SO
 for 16068 <at> debbugs.gnu.org; Fri, 06 Dec 2013 06:20:23 -0500
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0MXD00H00U0BYS00@HIDDEN> for 16068 <at> debbugs.gnu.org;
 Fri, 06 Dec 2013 13:20:20 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MXD00H4QU5WP7B0@HIDDEN>;
 Fri, 06 Dec 2013 13:20:20 +0200 (IST)
Date: Fri, 06 Dec 2013 13:20:09 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16068: 24.3; Printing doesn't work
In-reply-to: <CAC4Co6MZdthN2gwy14P8ckH1Q8-4XXin7k81zaKxBGSW8LFXZw@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: =?utf-8?B?0JDQvdC00YDQtdC5INCf0LDRgNCw0LzQvtC90L7Qsg==?=
 <cmr.pent@HIDDEN>
Message-id: <83pppa1b12.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8BIT
References: <CAC4Co6MnjrRpMutzwhDB0COtdbHGWR3ji=og2BDGc9=2KDu=Wg@HIDDEN>
 <83siu61hye.fsf@HIDDEN>
 <CAC4Co6MpsKtxnF3iiDKKMCdo=4cJT2Rw_aiFWBadzSSC8+d43g@HIDDEN>
 <83r49q1exg.fsf@HIDDEN>
 <CAC4Co6MZdthN2gwy14P8ckH1Q8-4XXin7k81zaKxBGSW8LFXZw@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16068
Cc: 16068 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Андрей Парамонов <cmr.pent@HIDDEN>
> Date: Fri, 6 Dec 2013 14:13:22 +0400
> Cc: 16068 <at> debbugs.gnu.org
> 
> > Maybe we can improve that.  What does this display in "emacs -Q" on
> > that machine?
> >
> >   M-: (default-printer-name) RET
> 
> 
> It says
> "82.97.201.165"

Which is the source of the problem.

Is it possible for you to step through default-printer-name with GDB
and see what happens there?  I can send you detailed instructions, if
you need them.

TIA




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16068; Package emacs. Full text available.

Message received at 16068 <at> debbugs.gnu.org:


Received: (at 16068) by debbugs.gnu.org; 6 Dec 2013 10:14:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 06 05:14:06 2013
Received: from localhost ([127.0.0.1]:33064 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VosQ9-0003wT-MU
	for submit <at> debbugs.gnu.org; Fri, 06 Dec 2013 05:14:05 -0500
Received: from mail-oa0-f46.google.com ([209.85.219.46]:45200)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <cmr.pent@HIDDEN>) id 1VosQ8-0003wK-6z
 for 16068 <at> debbugs.gnu.org; Fri, 06 Dec 2013 05:14:04 -0500
Received: by mail-oa0-f46.google.com with SMTP id o6so531616oag.33
 for <16068 <at> debbugs.gnu.org>; Fri, 06 Dec 2013 02:14:03 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=kxibv9a/SUb4aVSf83JQgDDpkJe9zuwSU6vbFrIzWe0=;
 b=ywkmThqLsg918WiZ12stbwwCPwtvNFtiX+hg2eVObM51HHl9I8QMS0smiOTB+HhHhJ
 yGcA3/aC4pObn0Qszr4XV/HCeHFLaqjm7vrdhWcrF2bQcs2CSQHBd9jiSylBvj6x8BhU
 lyXbaPAF1psBPNKxh3qKsZ4kyhUxmZFRKJ0gjPiv7EJw4BKWJ18vD6oCC7q+egUdrHu8
 S0IpXgEpWQ39CxZotdtw5U5EoVM5jhlLgxZiZm2iHrWBeNeMzuQGxhvnP3yxj465Z/55
 ox/jIiOkKxtm8hKH7VIDHrnu2vG7Iu2mQ6KT4vwaNziS2PPzvYUoYFfGzHso2ClnM6Cx
 nahQ==
X-Received: by 10.60.58.71 with SMTP id o7mr1899212oeq.51.1386324843492; Fri,
 06 Dec 2013 02:14:03 -0800 (PST)
MIME-Version: 1.0
Received: by 10.76.25.105 with HTTP; Fri, 6 Dec 2013 02:13:22 -0800 (PST)
In-Reply-To: <83r49q1exg.fsf@HIDDEN>
References: <CAC4Co6MnjrRpMutzwhDB0COtdbHGWR3ji=og2BDGc9=2KDu=Wg@HIDDEN>
 <83siu61hye.fsf@HIDDEN>
 <CAC4Co6MpsKtxnF3iiDKKMCdo=4cJT2Rw_aiFWBadzSSC8+d43g@HIDDEN>
 <83r49q1exg.fsf@HIDDEN>
From: =?UTF-8?B?0JDQvdC00YDQtdC5INCf0LDRgNCw0LzQvtC90L7Qsg==?=
 <cmr.pent@HIDDEN>
Date: Fri, 6 Dec 2013 14:13:22 +0400
Message-ID: <CAC4Co6MZdthN2gwy14P8ckH1Q8-4XXin7k81zaKxBGSW8LFXZw@HIDDEN>
Subject: Re: bug#16068: 24.3; Printing doesn't work
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=089e01538594d6f9e604ecdae74a
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 16068
Cc: 16068 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--089e01538594d6f9e604ecdae74a
Content-Type: text/plain; charset=UTF-8

2013/12/6 Eli Zaretskii <eliz@HIDDEN>

> Maybe we can improve that.  What does this display in "emacs -Q" on
> that machine?
>
>   M-: (default-printer-name) RET


It says
"82.97.201.165"

Best wishes,
Andrey Paramonov

--089e01538594d6f9e604ecdae74a
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_extra"><div class=3D"gmail_quote">2013=
/12/6 Eli Zaretskii <span dir=3D"ltr">&lt;<a href=3D"mailto:eliz@HIDDEN" t=
arget=3D"_blank">eliz@HIDDEN</a>&gt;</span><br><blockquote class=3D"gmail_=
quote" style=3D"margin:0px 0px 0px 0.8ex;border-left-width:1px;border-left-=
color:rgb(204,204,204);border-left-style:solid;padding-left:1ex">

Maybe we can improve that. =C2=A0What does this display in &quot;emacs -Q&q=
uot; on<br>
that machine?<br>
<br>
=C2=A0 M-: (default-printer-name) RET</blockquote><div><br></div><div>It sa=
ys</div><div>&quot;<span style=3D"color:rgb(80,0,80);font-family:arial,sans=
-serif;font-size:13px">82.97.201.165</span>&quot;</div><div><br></div><div>=
Best wishes,</div>

<div>Andrey Paramonov</div><div><br></div></div></div></div>

--089e01538594d6f9e604ecdae74a--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16068; Package emacs. Full text available.

Message received at 16068 <at> debbugs.gnu.org:


Received: (at 16068) by debbugs.gnu.org; 6 Dec 2013 09:56:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 06 04:56:28 2013
Received: from localhost ([127.0.0.1]:33046 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vos95-0003VB-Jk
	for submit <at> debbugs.gnu.org; Fri, 06 Dec 2013 04:56:28 -0500
Received: from mtaout22.012.net.il ([80.179.55.172]:51679)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Vos8v-0003Uo-6d
 for 16068 <at> debbugs.gnu.org; Fri, 06 Dec 2013 04:56:18 -0500
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0MXD00F00Q5WU600@HIDDEN> for 16068 <at> debbugs.gnu.org;
 Fri, 06 Dec 2013 11:56:06 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MXD00F2WQ9IR650@HIDDEN>;
 Fri, 06 Dec 2013 11:56:06 +0200 (IST)
Date: Fri, 06 Dec 2013 11:55:55 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16068: 24.3; Printing doesn't work
In-reply-to: <CAC4Co6MpsKtxnF3iiDKKMCdo=4cJT2Rw_aiFWBadzSSC8+d43g@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: =?utf-8?B?0JDQvdC00YDQtdC5INCf0LDRgNCw0LzQvtC90L7Qsg==?=
 <cmr.pent@HIDDEN>
Message-id: <83r49q1exg.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8BIT
References: <CAC4Co6MnjrRpMutzwhDB0COtdbHGWR3ji=og2BDGc9=2KDu=Wg@HIDDEN>
 <83siu61hye.fsf@HIDDEN>
 <CAC4Co6MpsKtxnF3iiDKKMCdo=4cJT2Rw_aiFWBadzSSC8+d43g@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16068
Cc: 16068 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Андрей Парамонов <cmr.pent@HIDDEN>
> Date: Fri, 6 Dec 2013 13:06:36 +0400
> Cc: 16068 <at> debbugs.gnu.org
> 
> Customization of printer-name (in my case to //82.97.201.165/AFICIO2018D)
> did work indeed.

Good.

> But is it feasible to improve autodetection of printer-name? It seems Emacs
> was on the right way, guessing 82.97.201.165 correctly.

Maybe we can improve that.  What does this display in "emacs -Q" on
that machine?

  M-: (default-printer-name) RET

I don't have access to Windows 8, but I just tried your recipe on
Windows 7 which is configured to use a printer share on a different
machine, specified with an IP address (similar to your case), and in
my case the printer name is auto-detected correctly. i.e. it has the
printer's share name following the IP address of the server.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16068; Package emacs. Full text available.

Message received at 16068 <at> debbugs.gnu.org:


Received: (at 16068) by debbugs.gnu.org; 6 Dec 2013 09:07:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 06 04:07:19 2013
Received: from localhost ([127.0.0.1]:33008 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VorNX-0002F2-6l
	for submit <at> debbugs.gnu.org; Fri, 06 Dec 2013 04:07:19 -0500
Received: from mail-oa0-f52.google.com ([209.85.219.52]:63758)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <cmr.pent@HIDDEN>) id 1VorNV-0002Eu-12
 for 16068 <at> debbugs.gnu.org; Fri, 06 Dec 2013 04:07:17 -0500
Received: by mail-oa0-f52.google.com with SMTP id h16so464196oag.11
 for <16068 <at> debbugs.gnu.org>; Fri, 06 Dec 2013 01:07:16 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=iI+saElgxNN6BnEUjw2WUh9zRapBl2oPkz45qkByizY=;
 b=VzSLFJ5+4AjLtPqPOfvMQZ9e9CgIxSiJqiy6WgyB9rbQFKUxYSNSAzLoPyt4vaf7Au
 pl1V8fmkNVDYEeT57XQ2hjpH5RVuhhehZGa/zvCS0PTF/akcKf5zr/tMMlF987kFJL+K
 kOzxWwkmxW4mPog3fbxU8Qg8XX86rxihI9eNxUsyAdmhdVv12A7YLLpm9vg/qF+Dmr5c
 nq1CydWP77UujdZHgZAM+XwuKwUltyIgmAwLBo2QUTi8d+cb3UY5SJ8DHSCDl4NfiN6e
 D2rA6gNZsmD6nfmKBsl22j4p4aaxLDim/2oP9m3G8Wiz+F7CdYC+vE4tIHtsh4c9k07a
 q6FQ==
X-Received: by 10.182.18.102 with SMTP id v6mr1690109obd.71.1386320836120;
 Fri, 06 Dec 2013 01:07:16 -0800 (PST)
MIME-Version: 1.0
Received: by 10.76.25.105 with HTTP; Fri, 6 Dec 2013 01:06:36 -0800 (PST)
In-Reply-To: <83siu61hye.fsf@HIDDEN>
References: <CAC4Co6MnjrRpMutzwhDB0COtdbHGWR3ji=og2BDGc9=2KDu=Wg@HIDDEN>
 <83siu61hye.fsf@HIDDEN>
From: =?UTF-8?B?0JDQvdC00YDQtdC5INCf0LDRgNCw0LzQvtC90L7Qsg==?=
 <cmr.pent@HIDDEN>
Date: Fri, 6 Dec 2013 13:06:36 +0400
Message-ID: <CAC4Co6MpsKtxnF3iiDKKMCdo=4cJT2Rw_aiFWBadzSSC8+d43g@HIDDEN>
Subject: Re: bug#16068: 24.3; Printing doesn't work
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=001a11c339e6fb54c804ecd9f874
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 16068
Cc: 16068 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a11c339e6fb54c804ecd9f874
Content-Type: text/plain; charset=UTF-8

Thank you Eli!

Customization of printer-name (in my case to //82.97.201.165/AFICIO2018D)
did work indeed.
But is it feasible to improve autodetection of printer-name? It seems Emacs
was on the right way, guessing 82.97.201.165 correctly.

Best wishes,
Andrey Paramonov

--001a11c339e6fb54c804ecd9f874
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Thank you Eli!<div><br></div><div>Customization of printer=
-name (in my case to //<a href=3D"http://82.97.201.165/AFICIO2018D">82.97.2=
01.165/AFICIO2018D</a>) did work indeed.</div><div>But is it feasible to im=
prove autodetection of printer-name? It seems Emacs was on the right way, g=
uessing 82.97.201.165 correctly.</div>

<div><br></div><div>Best wishes,</div><div>Andrey Paramonov</div><div class=
=3D"gmail_extra"><br></div></div>

--001a11c339e6fb54c804ecd9f874--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16068; Package emacs. Full text available.

Message received at 16068 <at> debbugs.gnu.org:


Received: (at 16068) by debbugs.gnu.org; 6 Dec 2013 08:50:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 06 03:50:50 2013
Received: from localhost ([127.0.0.1]:32988 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vor7Z-0001ot-2i
	for submit <at> debbugs.gnu.org; Fri, 06 Dec 2013 03:50:49 -0500
Received: from mtaout22.012.net.il ([80.179.55.172]:36128)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Vor7W-0001oc-EF
 for 16068 <at> debbugs.gnu.org; Fri, 06 Dec 2013 03:50:47 -0500
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0MXD00F00N6ND100@HIDDEN> for 16068 <at> debbugs.gnu.org;
 Fri, 06 Dec 2013 10:50:44 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MXD00F4BN8K1OA0@HIDDEN>;
 Fri, 06 Dec 2013 10:50:44 +0200 (IST)
Date: Fri, 06 Dec 2013 10:50:33 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16068: 24.3; Printing doesn't work
In-reply-to: <CAC4Co6MnjrRpMutzwhDB0COtdbHGWR3ji=og2BDGc9=2KDu=Wg@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: =?utf-8?B?0JDQvdC00YDQtdC5INCf0LDRgNCw0LzQvtC90L7Qsg==?=
 <cmr.pent@HIDDEN>
Message-id: <83siu61hye.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8BIT
References: <CAC4Co6MnjrRpMutzwhDB0COtdbHGWR3ji=og2BDGc9=2KDu=Wg@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16068
Cc: 16068 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Андрей Парамонов
> 	<cmr.pent@HIDDEN>
> Date: Fri, 6 Dec 2013 12:33:40 +0400
> 
> 0) Run Emacs.
> 1) M-x view-hello-buffer. Hello buffer is shown (correct).
> 2) File/Print Buffer. Emacs asks if it should use default printer (correct).
> 3) Click Yes. Emacs reprots error:
> Opening output file: permission denied, c:/82.97.201.165

Your printing is not set up correctly.  Emacs on Windows cannot always
do that automatically, especially on the latest versions of Windows.
The user manual describes in the node "Windows Printing" several
methods of setting that up; please try them.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16068; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Dec 2013 08:34:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 06 03:34:33 2013
Received: from localhost ([127.0.0.1]:32952 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Voqro-0001Q5-1f
	for submit <at> debbugs.gnu.org; Fri, 06 Dec 2013 03:34:33 -0500
Received: from eggs.gnu.org ([208.118.235.92]:60877)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <cmr.pent@HIDDEN>) id 1Voqrk-0001Pw-UH
 for submit <at> debbugs.gnu.org; Fri, 06 Dec 2013 03:34:30 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <cmr.pent@HIDDEN>) id 1Voqri-00059Y-H7
 for submit <at> debbugs.gnu.org; Fri, 06 Dec 2013 03:34:28 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE, NORMAL_HTTP_TO_IP,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:51790)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <cmr.pent@HIDDEN>) id 1Voqri-00059S-EY
 for submit <at> debbugs.gnu.org; Fri, 06 Dec 2013 03:34:26 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:34348)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <cmr.pent@HIDDEN>) id 1Voqrg-0001Do-8Y
 for bug-gnu-emacs@HIDDEN; Fri, 06 Dec 2013 03:34:26 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <cmr.pent@HIDDEN>) id 1Voqrd-00057t-T7
 for bug-gnu-emacs@HIDDEN; Fri, 06 Dec 2013 03:34:24 -0500
Received: from mail-oa0-x22f.google.com ([2607:f8b0:4003:c02::22f]:38863)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <cmr.pent@HIDDEN>) id 1Voqrd-00057X-MH
 for bug-gnu-emacs@HIDDEN; Fri, 06 Dec 2013 03:34:21 -0500
Received: by mail-oa0-f47.google.com with SMTP id k1so428430oag.20
 for <bug-gnu-emacs@HIDDEN>; Fri, 06 Dec 2013 00:34:20 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:from:date:message-id:subject:to:content-type;
 bh=33OJrv4+m2t1jqkIfhNQEn5oJVmwAqM2xBAuukU0ISA=;
 b=SYLBz/vFprHdpMQ7d2YuTErcIC9JgoYNzj5UIrkDnSrig9IG2jjDeoGk5lSlu+geAo
 wUvw8BXGYGIDWm/EnXiupaJ9DTfl6CLmHts1Q7JPp4Gr7D0a3k+VTsHDEaXDj6kEOJRJ
 R+NeBgVZPw4pt6KtnASY+8L6dWtMeKHm7TavntWKdcgXyTVBy5gItGsT2GJcDHEZljqv
 6ClRlq0GTx4sYt1l+jZ2b1U8v3McRfwrHg4pgdSLAac+ChzPQTFEVTOwa29wnDGeVPbD
 Zv+9NmrmNo6NETzY+MiXeT9Z/Z9f/dllPO1dBT7pChEeA7vF9SOIJ8kNChvonsonQivi
 8BIw==
X-Received: by 10.182.131.196 with SMTP id oo4mr1602139obb.50.1386318860429;
 Fri, 06 Dec 2013 00:34:20 -0800 (PST)
MIME-Version: 1.0
Received: by 10.76.25.105 with HTTP; Fri, 6 Dec 2013 00:33:40 -0800 (PST)
From: =?UTF-8?B?0JDQvdC00YDQtdC5INCf0LDRgNCw0LzQvtC90L7Qsg==?=
 <cmr.pent@HIDDEN>
Date: Fri, 6 Dec 2013 12:33:40 +0400
Message-ID: <CAC4Co6MnjrRpMutzwhDB0COtdbHGWR3ji=og2BDGc9=2KDu=Wg@HIDDEN>
Subject: 24.3; Printing doesn't work
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=001a11c1f6d638b20504ecd9833a
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--001a11c1f6d638b20504ecd9833a
Content-Type: text/plain; charset=UTF-8

To reproduce:
0) Run Emacs.
1) M-x view-hello-buffer. Hello buffer is shown (correct).
2) File/Print Buffer. Emacs asks if it should use default printer (correct).
3) Click Yes. Emacs reprots error:
Opening output file: permission denied, c:/82.97.201.165

Reproducible on Windows 8.

Best wishes,
Andrey Paramonov

In GNU Emacs 24.3.1 (i386-mingw-nt6.2.9200)
 of 2013-03-17 on MARVIN
Windowing system distributor `Microsoft Corp.', version 6.2.9200
Configured using:
 `configure --with-gcc (4.7) --cflags
 -ID:/devel/emacs/libs/libXpm-3.5.8/include
 -ID:/devel/emacs/libs/libXpm-3.5.8/src
 -ID:/devel/emacs/libs/libpng-dev_1.4.3-1/include
 -ID:/devel/emacs/libs/zlib-dev_1.2.5-2/include
 -ID:/devel/emacs/libs/giflib-4.1.4-1/include
 -ID:/devel/emacs/libs/jpeg-6b-4/include
 -ID:/devel/emacs/libs/tiff-3.8.2-1/include
 -ID:/devel/emacs/libs/gnutls-3.0.9/include
 -ID:/devel/emacs/libs/libiconv-1.13.1-1-dev/include
 -ID:/devel/emacs/libs/libxml2-2.7.8/include/libxml2'

Important settings:
  value of $LANG: RUS
  locale-coding-system: cp1251
  default enable-multibyte-characters: t

Major mode: Text

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <C-down> <C-down>
<C-down> <C-down> <C-down> <C-down> <C-down> <C-down>
<C-down> <C-down> <C-down> <C-down> <C-down> <C-down>
<C-down> <C-down> <C-down> <C-down> <C-down> <C-down>
<C-down> <C-down> <C-down> <C-down> <C-down> <C-down>
<C-down> <C-down> <C-down> <C-down> <C-down> <C-down>
<C-down> <C-down> <C-down> <C-down> <C-down> <C-down>
<C-down> <C-down> <C-down> <C-down> <C-down> <C-down>
<C-down> C-x C-s <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <menu-bar> <file> <print-buffer> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<menu-bar> <file> <ps-print-buffer> <help-echo> <down-mouse-1>
<mouse-1> <help-echo> <down-mouse-1> <mouse-1> <down-mouse-1>
<mouse-1> <double-down-mouse-1> <double-mouse-1> <down-mouse-1>
<mouse-1> <escape> <escape> <escape> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <menu-bar>
<help-menu> <send-emacs-bug-report>

Recent messages:
Wrote c:/vilnius-2013/zoo.txt
(No changes need to be saved)
byte-code: Beginning of buffer [11 times]
(No changes need to be saved)
byte-code: Beginning of buffer [12 times]
Send current buffer to default printer?  y
Spooling with options (page headers are not supported)...
direct-print-region-helper: Opening output file: permission denied, c:/
82.97.201.165
Formatting...done
Printing...
direct-print-region-helper: Opening output file: permission denied, c:/
82.97.201.165

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils ps-mule ps-print ps-def lpr misearch
multi-isearch dired time-date tooltip ediff-hook vc-hooks
lisp-float-type mwheel dos-w32 ls-lisp w32-common-fns disp-table w32-win
w32-vars tool-bar dnd fontset image regexp-opt fringe tabulated-list
newcomment lisp-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev minibuffer loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
w32 multi-tty emacs)

--001a11c1f6d638b20504ecd9833a
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>To reproduce:</div><div>0) Run Emacs.</div><div>1) M-=
x view-hello-buffer. Hello buffer is shown (correct).</div><div>2) File/Pri=
nt Buffer. Emacs asks if it should use default printer (correct).</div><div=
>

3) Click Yes. Emacs reprots error:</div><div>Opening output file: permissio=
n denied, c:/<a href=3D"http://82.97.201.165">82.97.201.165</a></div><div><=
br></div><div>Reproducible on Windows 8.</div><div><br></div><div>Best wish=
es,</div>

<div>Andrey Paramonov</div><div><br></div><div>In GNU Emacs 24.3.1 (i386-mi=
ngw-nt6.2.9200)</div><div>=C2=A0of 2013-03-17 on MARVIN</div><div>Windowing=
 system distributor `Microsoft Corp.&#39;, version 6.2.9200</div><div>Confi=
gured using:</div>

<div>=C2=A0`configure --with-gcc (4.7) --cflags</div><div>=C2=A0-ID:/devel/=
emacs/libs/libXpm-3.5.8/include</div><div>=C2=A0-ID:/devel/emacs/libs/libXp=
m-3.5.8/src</div><div>=C2=A0-ID:/devel/emacs/libs/libpng-dev_1.4.3-1/includ=
e</div><div>=C2=A0-ID:/devel/emacs/libs/zlib-dev_1.2.5-2/include</div>

<div>=C2=A0-ID:/devel/emacs/libs/giflib-4.1.4-1/include</div><div>=C2=A0-ID=
:/devel/emacs/libs/jpeg-6b-4/include</div><div>=C2=A0-ID:/devel/emacs/libs/=
tiff-3.8.2-1/include</div><div>=C2=A0-ID:/devel/emacs/libs/gnutls-3.0.9/inc=
lude</div><div>
=C2=A0-ID:/devel/emacs/libs/libiconv-1.13.1-1-dev/include</div>
<div>=C2=A0-ID:/devel/emacs/libs/libxml2-2.7.8/include/libxml2&#39;</div><d=
iv><br></div><div>Important settings:</div><div>=C2=A0 value of $LANG: RUS<=
/div><div>=C2=A0 locale-coding-system: cp1251</div><div>=C2=A0 default enab=
le-multibyte-characters: t</div>

<div><br></div><div>Major mode: Text</div><div><br></div><div>Minor modes i=
n effect:</div><div>=C2=A0 tooltip-mode: t</div><div>=C2=A0 mouse-wheel-mod=
e: t</div><div>=C2=A0 tool-bar-mode: t</div><div>=C2=A0 menu-bar-mode: t</d=
iv><div>=C2=A0 file-name-shadow-mode: t</div>

<div>=C2=A0 global-font-lock-mode: t</div><div>=C2=A0 font-lock-mode: t</di=
v><div>=C2=A0 auto-composition-mode: t</div><div>=C2=A0 auto-encryption-mod=
e: t</div><div>=C2=A0 auto-compression-mode: t</div><div>=C2=A0 line-number=
-mode: t</div><div>=C2=A0 transient-mark-mode: t</div>

<div><br></div><div>Recent input:</div><div>&lt;up&gt; &lt;up&gt; &lt;up&gt=
; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&=
gt; &lt;up&gt;=C2=A0</div><div>&lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; =
&lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt=
;=C2=A0</div>

<div>&lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;=
up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt;=C2=A0</div><div>&lt;up&g=
t; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up=
&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt;=C2=A0</div>

<div>&lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;=
up&gt; &lt;up&gt; &lt;C-down&gt; &lt;C-down&gt;=C2=A0</div><div>&lt;C-down&=
gt; &lt;C-down&gt; &lt;C-down&gt; &lt;C-down&gt; &lt;C-down&gt; &lt;C-down&=
gt;=C2=A0</div>

<div>&lt;C-down&gt; &lt;C-down&gt; &lt;C-down&gt; &lt;C-down&gt; &lt;C-down=
&gt; &lt;C-down&gt;=C2=A0</div><div>&lt;C-down&gt; &lt;C-down&gt; &lt;C-dow=
n&gt; &lt;C-down&gt; &lt;C-down&gt; &lt;C-down&gt;=C2=A0</div><div>&lt;C-do=
wn&gt; &lt;C-down&gt; &lt;C-down&gt; &lt;C-down&gt; &lt;C-down&gt; &lt;C-do=
wn&gt;=C2=A0</div>

<div>&lt;C-down&gt; &lt;C-down&gt; &lt;C-down&gt; &lt;C-down&gt; &lt;C-down=
&gt; &lt;C-down&gt;=C2=A0</div><div>&lt;C-down&gt; &lt;C-down&gt; &lt;C-dow=
n&gt; &lt;C-down&gt; &lt;C-down&gt; &lt;C-down&gt;=C2=A0</div><div>&lt;C-do=
wn&gt; &lt;C-down&gt; &lt;C-down&gt; &lt;C-down&gt; &lt;C-down&gt; &lt;C-do=
wn&gt;=C2=A0</div>

<div>&lt;C-down&gt; C-x C-s &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt=
;up&gt; &lt;up&gt; &lt;up&gt;=C2=A0</div><div>&lt;up&gt; &lt;up&gt; &lt;up&=
gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;u=
p&gt; &lt;up&gt;=C2=A0</div>

<div>&lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;=
up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt;=C2=A0</div><div>&lt;up&g=
t; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up=
&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt;=C2=A0</div>

<div>&lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;=
up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt;=C2=A0</div><div>&lt;up&g=
t; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up=
&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt;=C2=A0</div>

<div>&lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;=
up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt;=C2=A0</div><div>&lt;up&g=
t; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up=
&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt;=C2=A0</div>

<div>&lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;=
up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt;=C2=A0</div><div>&lt;up&g=
t; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up=
&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt;=C2=A0</div>

<div>&lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;=
up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt;=C2=A0</div><div>&lt;up&g=
t; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up=
&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt;=C2=A0</div>

<div>&lt;up&gt; &lt;up&gt; &lt;help-echo&gt; &lt;help-echo&gt; &lt;help-ech=
o&gt; &lt;help-echo&gt;=C2=A0</div><div>&lt;help-echo&gt; &lt;help-echo&gt;=
 &lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&gt;=C2=A0</div><div>&lt;=
help-echo&gt; &lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&gt; &lt;hel=
p-echo&gt;=C2=A0</div>

<div>&lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&gt=
; &lt;help-echo&gt;=C2=A0</div><div>&lt;help-echo&gt; &lt;menu-bar&gt; &lt;=
file&gt; &lt;print-buffer&gt; &lt;help-echo&gt;=C2=A0</div><div>&lt;help-ec=
ho&gt; &lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&=
gt;=C2=A0</div>

<div>&lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&gt=
; &lt;help-echo&gt;=C2=A0</div><div>&lt;help-echo&gt; &lt;help-echo&gt; &lt=
;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&gt;=C2=A0</div><div>&lt;menu=
-bar&gt; &lt;file&gt; &lt;ps-print-buffer&gt; &lt;help-echo&gt; &lt;down-mo=
use-1&gt;=C2=A0</div>

<div>&lt;mouse-1&gt; &lt;help-echo&gt; &lt;down-mouse-1&gt; &lt;mouse-1&gt;=
 &lt;down-mouse-1&gt;=C2=A0</div><div>&lt;mouse-1&gt; &lt;double-down-mouse=
-1&gt; &lt;double-mouse-1&gt; &lt;down-mouse-1&gt;=C2=A0</div><div>&lt;mous=
e-1&gt; &lt;escape&gt; &lt;escape&gt; &lt;escape&gt; &lt;help-echo&gt; &lt;=
help-echo&gt;=C2=A0</div>

<div>&lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&gt=
; &lt;help-echo&gt;=C2=A0</div><div>&lt;help-echo&gt; &lt;help-echo&gt; &lt=
;help-echo&gt; &lt;help-echo&gt; &lt;menu-bar&gt;=C2=A0</div><div>&lt;help-=
menu&gt; &lt;send-emacs-bug-report&gt;</div>

<div><br></div><div>Recent messages:</div><div>Wrote c:/vilnius-2013/zoo.tx=
t</div><div>(No changes need to be saved)</div><div>byte-code: Beginning of=
 buffer [11 times]</div><div>(No changes need to be saved)</div><div>byte-c=
ode: Beginning of buffer [12 times]</div>

<div>Send current buffer to default printer? =C2=A0y</div><div>Spooling wit=
h options (page headers are not supported)...</div><div>direct-print-region=
-helper: Opening output file: permission denied, c:/<a href=3D"http://82.97=
.201.165">82.97.201.165</a></div>

<div>Formatting...done</div><div>Printing...</div><div>direct-print-region-=
helper: Opening output file: permission denied, c:/<a href=3D"http://82.97.=
201.165">82.97.201.165</a></div><div><br></div><div>Load-path shadows:</div=
>

<div>None found.</div><div><br></div><div>Features:</div><div>(shadow sort =
gnus-util mail-extr emacsbug message format-spec rfc822 mml</div><div>easym=
enu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231</div><div>

mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums</div><d=
iv>mm-util mail-prsvr mail-utils ps-mule ps-print ps-def lpr misearch</div>=
<div>multi-isearch dired time-date tooltip ediff-hook vc-hooks</div><div>

lisp-float-type mwheel dos-w32 ls-lisp w32-common-fns disp-table w32-win</d=
iv><div>w32-vars tool-bar dnd fontset image regexp-opt fringe tabulated-lis=
t</div><div>newcomment lisp-mode register page menu-bar rfn-eshadow timer s=
elect</div>

<div>scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame ch=
am</div><div>georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet=
 lao</div><div>korean japanese hebrew greek romanian slovak czech european =
ethiopic</div>

<div>indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple<=
/div><div>abbrev minibuffer loaddefs button faces cus-face macroexp files</=
div><div>text-properties overlay sha1 md5 base64 format env code-pages mule=
</div>

<div>custom widget hashtable-print-readable backquote make-network-process<=
/div><div>w32 multi-tty emacs)</div><div><br></div></div>

--001a11c1f6d638b20504ecd9833a--




Acknowledgement sent to Андрей Парамонов <cmr.pent@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#16068; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.